/* 
 * Filename:
 * init.sqf (root)
 *
 * Description:
 * Runs on server and client
 * 
 * Created by [KH]Jman
 * Creation date: 09/08/2011
 * Email: jman@kellys-heroes.eu
 * Web: http://www.kellys-heroes.eu
 * 
 * */
// ====================================================================================
// DEFINES
	#ifndef execNow
	#define execNow call compile preprocessfilelinenumbers
	#endif
	#define PP preprocessfilelinenumbers
	#define VAR_DEFAULT(var,val) if (isNil #var) then {var=(val);}
// ====================================================================================	
// SETUP	
	private ["_d"];
	gameOver = false;
// ====================================================================================	
// PARAMETER DEFAULTS
	if (!isdedicated) then {
		VAR_DEFAULT(ENV_dedicated, false);
		VAR_DEFAULT(CFG_weather, 5);
		VAR_DEFAULT(CFG_viewDistance, 3000);
		VAR_DEFAULT(CFG_terrainGrid, 50);
		VAR_DEFAULT(CFG_timeOfDay, -1);
		VAR_DEFAULT(CFG_ACEWoundsPrevTime, 600);
		VAR_DEFAULT(CFG_ACEWoundsNoRespawnPunish, 1);
		VAR_DEFAULT(CFG_ACEDisableAIWounding, 1);
		VAR_DEFAULT(CFG_ACEUnconSpectate, 1);
		VAR_DEFAULT(CFG_ACREEnabled, 0);
		VAR_DEFAULT(CFG_AdminCmds, 1);
		VAR_DEFAULT(CFG_ACENoStaminaEffects, 0);
		VAR_DEFAULT(CFG_ReturnKeysOnDeath, 1);
		VAR_DEFAULT(CFG_enableCivilians, 0);
		VAR_DEFAULT(CFG_enableAmbientVehicles, 0);
		VAR_DEFAULT(CFG_enableAmbientAnimals, 0);
	};
// ====================================================================================	
// PARSE PARAMETERS
	if (isdedicated) then {
		CFG_timeOfDay = (paramsarray select 0);
		CFG_terrainGrid = (paramsarray select 1);
		CFG_viewDistance = (paramsarray select 2);
		CFG_weather = (paramsarray select 3);
		CFG_ACEWoundsPrevTime = (paramsarray select 4);
		CFG_ACEWoundsNoRespawnPunish = (paramsarray select 5);
		CFG_ACEUnconSpectate = (paramsarray select 6);
		CFG_ACREEnabled = (paramsarray select 7);
		CFG_AdminCmds = (paramsarray select 8);
		CFG_ACENoStaminaEffects = (paramsarray select 9);
		CFG_ACEDisableAIWounding = (paramsarray select 10);
		CFG_ReturnKeysOnDeath = (paramsarray select 11);
		CFG_enableCivilians = (paramsarray select 12);
		CFG_enableAmbientVehicles = (paramsarray select 13);
		CFG_enableAmbientAnimals = (paramsarray select 14);


		// ACE2 VARIABLES 
		// http://ace.dev-heaven.net/wagn/Features
		// (Global Variables : http://ace.dev-heaven.net/wagn/Wounding_System+notes#Global%20Variables)
		
		ace_wounds_prevtime = CFG_ACEWoundsPrevTime; 
		publicVariable "CFG_ACEWoundsPrevTime"; 
		
		if (CFG_ACEWoundsNoRespawnPunish == 1) then { 
			ace_sys_wounds_no_rpunish = true; 
			publicVariable "ace_sys_wounds_no_rpunish"; 
		};
		
		if (CFG_ACEDisableAIWounding == 1) then { 
			ace_sys_wounds_noai = false; 
			publicVariable "ace_sys_wounds_noai"; 
		};
		
	    if (CFG_ACEUnconSpectate == 1) then { 
			ace_sys_wounds_withSpect = true; 
			publicVariable "ace_sys_wounds_withSpect";
		};
		
	    if (CFG_ACENoStaminaEffects == 1) then { 
			ACE_NoStaminaEffects = true; 
			publicVariable "ACE_NoStaminaEffects";
		};
		
		publicVariable "CFG_weather";
		publicVariable "CFG_timeOfDay";
		publicVariable "CFG_terrainGrid";
		publicVariable "CFG_viewDistance";
		publicVariable "CFG_ACREEnabled";
		publicVariable "CFG_AdminCmds";
		publicVariable "CFG_ReturnKeysOnDeath";	
		publicVariable "CFG_enableCivilians";
		publicVariable "CFG_enableAmbientVehicles";
		publicVariable "CFG_enableAmbientAnimals";
	};
// ====================================================================================	
	if (CFG_ACEWoundsNoRespawnPunish == 1) then { ace_sys_wounds_no_rpunish = true; };
	if (CFG_ACEUnconSpectate == 1) then { ace_sys_wounds_withSpect = true; };
	if (CFG_ACENoStaminaEffects == 1) then { ACE_NoStaminaEffects = true; };
	if (CFG_ACEDisableAIWounding == 1) then { ace_sys_wounds_noai = false; };
    ace_wounds_prevtime = CFG_ACEWoundsPrevTime;
	ace_sys_wounds_leftdam = 0;
// ====================================================================================
// WEATHER
	switch (CFG_weather) do
	{
	   case 1:
	   {
			0 setFog 0;
			0 setOvercast 0;
			0 setRain 0;
	   };
	   case 2:
	   {
			0 setFog 0.2;
			0 setOvercast 1.0;
			0 setRain 1;
	   };
	   case 3:
	   {
			0 setFog 0;
			0 setOvercast 0.7;
			0 setRain 0;
	   };
		case 4:
	   {
			0 setFog 0.7;
			0 setOvercast 0.7;
			0 setRain 0;
	   };
	   case 5:
	   {
			  if (isServer) then {
						 publicVariable "DYNAMIC_WEATHER_LOADED"; 
						  if (isNil "DYNAMIC_WEATHER_LOADED") then {
								DYNAMIC_WEATHER_LOADED = "false";
							   publicVariable "DYNAMIC_WEATHER_LOADED"; 
						  };
						  if (DYNAMIC_WEATHER_LOADED == "false") then {
						 		0 = [] execVM "weather\dynamicWeather.sqf";
						 		DYNAMIC_WEATHER_LOADED = "true";
						 };
				  };
	   };
	   
	};  
// ====================================================================================	
// TIME OF DAY
	if (CFG_timeOfDay >=0) then {
		 _d = date;
		 _d set [3,CFG_timeOfDay];
		 setdate _d;
	};
// ====================================================================================	
// SERVERSIDE STUFF
// ====================================================================================	
	if (isServer) then {

		
// INIT THE MODULES		

		diag_log["CFG_enableCivilians: ", CFG_enableCivilians];
		diag_log["CFG_enableAmbientAnimals: ", CFG_enableAmbientAnimals];
		diag_log["CFG_enableAmbientVehicles: ", CFG_enableAmbientVehicles];
		
		publicVariable "CFG_ENABLECIVILIANS_LOADED";
		publicVariable "CFG_ENABLEAMBIENTANIMALS_LOADED";
		publicVariable "CFG_ENABLEAMBIENTVEHICLES_LOADED";
		
		if (isNil "CFG_ENABLECIVILIANS_LOADED") then {
				CFG_ENABLECIVILIANS_LOADED = "false";
			   publicVariable "CFG_ENABLECIVILIANS_LOADED"; 
		};
		
		if (isNil "CFG_ENABLEAMBIENTANIMALS_LOADED") then {
				CFG_ENABLEAMBIENTANIMALS_LOADED = "false";
			   publicVariable "CFG_ENABLEAMBIENTANIMALS_LOADED"; 
		};
		
		if (isNil "CFG_ENABLEAMBIENTVEHICLES_LOADED") then {
				CFG_ENABLEAMBIENTVEHICLES_LOADED = "false";
			   publicVariable "CFG_ENABLEAMBIENTVEHICLES_LOADED"; 
		};
		
		// Ambient civilians
		if (CFG_enableCivilians == 1) then {
			if (CFG_ENABLECIVILIANS_LOADED == "false") then {
				_ambientCivs = createCenter sideLogic;
				_grp_ambientCivs = createGroup _ambientCivs;
				_logic = _grp_ambientCivs createUnit ["Alice2Manager", [0,0,0], [], 0, "FORM"];
				_null = [_grp_ambientCivs] execVM "mip\init-alice2.sqf";
				// BIS_alice_mainscope setVariable ["debug", true];
				CFG_ENABLECIVILIANS_LOADED = "true";
		 };
		};
		
		
		// Ambient animals
		if (CFG_enableAmbientAnimals == 1) then {
				if (CFG_ENABLEAMBIENTANIMALS_LOADED  == "false") then {
				_ambientAnims = createCenter sideLogic;
				_grp_ambientAnims = createGroup _ambientAnims;
				_logic = _grp_ambientAnims createUnit ["BIS_animals_Logic", [0,0,0], [], 0, "FORM"];
				_null = [_grp_ambientAnims] execVM "mip\init-animals.sqf";
				 CFG_ENABLEAMBIENTANIMALS_LOADED = "true";
	      	};
		};
		
		// Ambient civilian vehicles
		if (CFG_enableAmbientVehicles == 1) then {
			if (CFG_ENABLEAMBIENTVEHICLES_LOADED  == "false") then {
				_ambientVeh = createCenter sideLogic;
				_grp_ambientVeh = createGroup _ambientVeh;
				_logic = _grp_ambientVeh createUnit ["SilvieManager", [0,0,0], [], 0, "FORM"];
				_null = [_grp_ambientVeh] execVM "mip\init-silvie.sqf";
				 CFG_ENABLEAMBIENTVEHICLES_LOADED = "true";
	      	};
		};
		
	};
// ====================================================================================	
// SET VEHICLE RESPAWN PV ARRAY
	if (isServer) then {
		if (isNil "NORESPAWNVEHICLESARRAY") then {
			NORESPAWNVEHICLESARRAY = [];
			publicVariable "NORESPAWNVEHICLESARRAY";
		};
	};
	// ====================================================================================	
// SET VEHICLE KEYS PV MULTi-D ARRAY
	if (isServer) then {
		if (isNil "VEHICLEKEYSARRAY") then {
			VEHICLEKEYSARRAY = [];
			publicVariable "VEHICLEKEYSARRAY";
		};
	};
// ====================================================================================
// SET VEHICLE STATES
	if (isServer) then {
	 publicVariable "VEHICLE_STATES_LOADED"; 
		if (isNil "VEHICLE_STATES_LOADED") then {
			VEHICLE_STATES_LOADED = "true";	
			execVM "server\setVehicle_state.sqf";
			publicVariable "VEHICLE_STATES_LOADED"; 
		};
	};	
// ====================================================================================
// MISSION FUNCTIONS
// ====================================================================================
	FNC_INITVEHICLEACTIONS = {
	//	hint "FNC_INITVEHICLEACTIONS";
	//	diag_log["FNC_INITVEHICLEACTIONS"];
		_vehicle = _this select 0; 
		[player] call FNC_REMOVE_FROM_VEHICLE_KEYS_ARRAY; 
	//	diag_log["_vehicle: ", _vehicle];
		 _vehicle addeventhandler ["getin", { _this execVM "vehicles\vehicleAddAction.sqf"; } ];
		 _vehicle addeventhandler ["getout", { _this execVM "vehicles\vehicleRemoveAction.sqf"; } ];
						
	};
// ====================================================================================
	FNC_PLAYER_RESPAWN = {
		_player = _this select 0;
		 if (player != _player) exitWith { }; 

		FNC_GHOST_ACTION = -1;
		FNC_TELEPORT_ACTION = -1;
		FNC_SPECTATOR_ACTION = -1;
		FNC_Vehicle_Action = -1;
		

		
		// Special admin commands
			if (CFG_AdminCmds == 1) then { 
				teleportMode = false;
					while { not gameOver } do { 
					_isAdmin = serverCommandAvailable "#kick";
						if ((_isAdmin) || (!ENV_dedicated)) then {
							[player] call FNC_GHOST_CODE;
							[player] call FNC_TELEPORT_CODE;
							[player] call FNC_SPECTATOR_CODE;
						};
						
						if (((!_isAdmin) && (FNC_GHOST_ACTION != -1) && (ENV_dedicated))) then {
							player removeAction FNC_GHOST_ACTION;
							player removeAction FNC_TELEPORT_ACTION;
							player removeAction FNC_SPECTATOR_ACTION;
							_this call FNC_PLAYER_RESPAWN;
						};
						
					};
			};
};	
// ====================================================================================
	FNC_GHOST_CODE =
	{ 
		_player = _this select 0;
		 if (player != _player) exitWith { }; 
		 	if (FNC_GHOST_ACTION == -1)  then {
				FNC_GHOST_ACTION = player addAction ["Ghost Mode", "admin\ghostmode.sqf"];
			};
	};
// ====================================================================================
	FNC_TELEPORT_CODE =
	{ 		
		_player = _this select 0;
		 if (player != _player) exitWith { };
		 	if (FNC_TELEPORT_ACTION == -1)  then { 
				FNC_TELEPORT_ACTION = player addAction ["Teleport Mode", "admin\teleportmode.sqf"];
			};
	};
// ====================================================================================
	FNC_SPECTATOR_CODE =
	{ 
		_player = _this select 0;
		 if (player != _player) exitWith { };
		 	if (FNC_SPECTATOR_ACTION == -1)  then {
				FNC_SPECTATOR_ACTION = player addAction ["Spectator Mode", "admin\spectatormode.sqf"];
			};
	};
// ====================================================================================
	FNC_PLAYER_RETURNVEHKEYS = 
	{
		_player = _this select 0;
		if (player != _player) exitWith { };
			if (CFG_ReturnKeysOnDeath == 1) then { 
		   [player] call FNC_REMOVE_FROM_VEHICLE_KEYS_ARRAY; 
		};
	};
// ====================================================================================
	FNC_VEHICLE_CODE =
	{ 
		_player = _this select 0;
		
		 if (player != _player) exitWith { };
		
		 	if (FNC_Vehicle_Action == -1)  then {
				FNC_Vehicle_Action_1 = vehicle player addAction ["Prevent vehicle respawn", "vehicles\vehicleRespawnTime.sqf"];
				FNC_Vehicle_Action_2 = vehicle player addAction ["Allow vehicle respawn", "vehicles\vehicleRespawnTime_d.sqf"];
				
				// VEHICLEKEYSARRAY:
				//  0 = vehicle 
				//  1 = player who has keys
				//  2 = the vehicles fuel amount 

				_thisvehicle = [VEHICLEKEYSARRAY, 0, 0, vehicle player] call searchMultiDimensionalArray;     // get the vehicle
				
				if (_thisvehicle != -1) then {  // if we find the vehicle in the array
					// lets see if this player has the keys...
					_keys = [VEHICLEKEYSARRAY, 0, 1, player] call searchMultiDimensionalArray;  // find the player in the array and return the index number
							if (_keys != -1) then {   // if the player has the keys to this vehicle
							FNC_Vehicle_Action_3 = vehicle player addAction ["Use ignition keys", "vehicles\vehicleUnLock.sqf"];
							 hint "You have the ignition keys to this vehicle";
					} else {  // if the player does not have the keys to this vehicle 
						  // lets see who has the keys...  
							_playerWithKeys = (VEHICLEKEYSARRAY select _thisvehicle) select 1;
							hint format["%1 has the ignition keys to this vehicle", str((name _playerWithKeys))];
					};
				} else{  // if the vehicle is not in the array (therefore it's not locked)...
					FNC_Vehicle_Action_3 = vehicle player addAction ["Take ignition keys", "vehicles\vehicleLock.sqf"];
				};
			};
	};
// ====================================================================================
	FNC_REMOVE_FROM_VEHICLE_KEYS_ARRAY =     // Return all keys to vehicles the player holds.
	{
			_player = _this select 0;
			
				// VEHICLEKEYSARRAY:
				//  0 = vehicle 
				//  1 = player who has keys
				//  2 = the vehicles fuel amount 

			for [{_i=0},{_i < count(VEHICLEKEYSARRAY)},{_i=_i+1}] do 	// START loop through all records
			{	
				// find player  in array...
				_key = [VEHICLEKEYSARRAY, 0, 1, _player] call searchMultiDimensionalArray;
				 if (_key != -1) then { 
				//		diag_log["count(VEHICLEKEYSARRAY): ", count(VEHICLEKEYSARRAY)];
						// add fuel back to this vehicle that the player has keys to
						_thisFuelAmount = parseNumber str((VEHICLEKEYSARRAY select _key) select 2);
						_thisVehicle = (VEHICLEKEYSARRAY select _key) select 0;
						_thisVehicle setFuel _thisFuelAmount;
						// Remove vehicle from VEHICLEKEYSARRAY (all vehicles below shuffle up one index number)
						VEHICLEKEYSARRAY set [_key,"Delete"];
						VEHICLEKEYSARRAY = VEHICLEKEYSARRAY - ["Delete"];
					};
				publicVariable "VEHICLEKEYSARRAY";
			};		
	};
// ====================================================================================	
	"VEHICLERESPAWNED" addPublicVariableEventHandler { (_this select 1) call FNC_INITVEHICLEACTIONS };
// ====================================================================================
	setViewDistance CFG_viewDistance;
	setTerrainGrid CFG_terrainGrid;
// ====================================================================================
		execVM  "revive\ReviveAceWounds.sqf";
    execVM "briefings\briefing.sqf";
    BIS_Effects_Burn = compile preprocessFile "\ca\Data\ParticleEffects\SCRIPTS\destruction\burn.sqf"; 
   if (CFG_weather != 5) then { [] spawn compile PP "weather\weatherSync.sqf"; } else { [] spawn compile PP "weather\dynamic_weatherSync.sqf"; };
// ===================================================================================
	// init persistentDB
		execNow "core\init.sqf";
// ===================================================================================
	// init custom 
		execNow "init-custom.sqf";
// ===================================================================================