/*
  *	Unofficial Zeus Briefing Template v0.01
  *
  *
  *	Notes: 
  *		- Use the tsk prefix for any tasks you add. This way you know what the varname is for by just looking at it, and 
  *			aids you in preventing using duplicate varnames.
  *		- To add a newline: 		<br/>
  *		- To add a marker link:	<marker name='mkrObj1'>attack this area!</marker>
  *		- To add an image: 		<img image='somePic.jpg'/>
  *
  *		Required briefing commands:		
  *		- Create Note:			player createDiaryRecord ["Diary", ["*The Note Title*", "*The Note Message*"]]; 
  *		- Create Task:			tskExample = player createSimpleTask ["*The Task Title*"];
  *		- Set Task Description:	tskExample setSimpleTaskDescription ["*Task Message*", "*Task Title*", "*Task HUD Title*"];
  *		
  *		Optional briefing commands:
  * 		- Set Task Destination:	tskExample setSimpleTaskDestination (getMarkerPos "mkrObj1"); // use existing "empty marker" 
  *		- Set the Current Task:	player setCurrentTask tskExample;
  *		
  *		Commands to use in-game:
  *		- Set Task State:		tskExample setTaskState "CREATED";   // states: "SUCCEEDED"  "FAILED"  "CANCELED" 
  *		- Get Task State:		taskState tskExample;
  *		- Get Task Description:	taskDescription tskExample;   // returns the *task title* as a string
  *		- Show Task Hint:		[tskExample] call mk_fTaskHint; // make sure you've set the taskState before using this function 
  *							
  *
  *	Authors: Jinef & mikey
  */

// since we're working with the player object here, make sure it exists
waitUntil { !isNil {player} };
waitUntil { player == player };
  
  
switch (side player) do 
{
	
	case WEST: // BLUFOR briefing goes here
	{
		player createDiaryRecord["Diary", ["Info", "<br/>Author: - [KH]Shangri<br/>Version 1.0.100<br/><br/><img image='pics\pic1s.jpg'/><br/><br/>"]];
		player createDiaryRecord["Diary", ["Tips", "<br/>Use the medical hmmwv as a mobile spawn point, if the convoy comes under fire or gets attacked deploy the hmmwv at the back of the formation.<br/><br/>bring along the support trucks there is a big chance you will need them along the way<br/><br/>Dont be surspious of every object you see!"]];
		//player createDiaryRecord["Diary", ["Mission", "<br/>The mission is to move north and locate and destroy any enemy weapons caches you might find, Once the caches are destroyed try and hold the area from the insurgency to stop them from taking the town."]];
		//player createDiaryRecord["Diary", ["Situation", "<br/><img image='pics\pic1.jpg'/><br/><br/>The Takistan insurgency has hidden 5 weapons caches in town and they are terrorising the local population. They have started to slaughter their food stocks if found to be collaborating with the West and burning their houses. As a part of a NATO force in the country to protect the people we are sending in a platoon of US Army Forces to combat the situation. It is time for us to deal with these pesky Insurgents and stop the atrocities."]];

		
		// Secondary Objective
		//tskObj7 = player createSimpleTask["Secondary: Avoid Civilian Casualties"]; 
		//tskObj7 setSimpleTaskDescription["The civilians here are relying on us to restore order and let them return to a peaceful life, we can't just blast our way through.", "Avoid Civilian Casualties", "Avoid Civilian Casualties"];			
		//>---------------------------------------------------------<
		// Secondary Objective
		//tskObj6 = player createSimpleTask["Primary: Kill The Commander"]; 
		//tskObj6 setSimpleTaskDescription["There is an enemy insurgent commander hiding out somewhere in the area, find him and kill him!", "Kill The Commander", "Kill The Commander"];			
		//tskObj6 setSimpleTaskDestination (getMarkerPos "tskObjm5");
		//>---------------------------------------------------------<
		// Secondary Objective
		//tskObj5 = player createSimpleTask["Primary: Scud Launcher 2"]; 
		//tskObj5 setSimpleTaskDescription["Your task is to locate and destroy <marker name='tskObjm5'>this</marker> Scud Launcher!", "Primary: Scud Launcher 2", "Primary: Scud Launcher 2"];			
		//tskObj5 setSimpleTaskDestination (getMarkerPos "tskObjm5");
		//>---------------------------------------------------------<
		// Secondary Objective
		//tskObj4 = player createSimpleTask["Primary: Scud Launcher 1"]; 
		//tskObj4 setSimpleTaskDescription["Your task is to locate and destroy <marker name='tskObjm4'>this</marker> Scud Launcher!", "Primary: Scud Launcher 1", "Primary: Scud Launcher 1"];			
		//tskObj4 setSimpleTaskDestination (getMarkerPos "tskObjm4");
		//player setCurrentTask tskObj4;
		//>---------------------------------------------------------<
		// Secondary Objective
		//tskObj3 = player createSimpleTask["Primary: Ammo Cache 2"]; 
		//tskObj3 setSimpleTaskDescription["Your task is to locate and destroy <marker name='tskObjm3'>this</marker> ammo cache!", "Primary: Ammo Cache 2", "Primary: Ammo Cache 2"];			
		//tskObj3 setSimpleTaskDestination (getMarkerPos "tskObjm3");
		//>---------------------------------------------------------<
		// Secondary Objective
		//tskObj2 = player createSimpleTask["Primary: Ammo Cache 1"]; 
		//tskObj2 setSimpleTaskDescription["Your task is to locate and destory <marker name='tskObjm2'>this</marker> ammo cache!", "Primary: Ammo Cache 1", "Primary: Ammo Cache 1"];
		//tskObj2 setSimpleTaskDestination (getMarkerPos "tskObjm2");
		//>---------------------------------------------------------<
		// Primary Objective
		tskObj1 = player createSimpleTask["Primary: Destination"]; 
		tskObj1 setSimpleTaskDescription["You must travel in a convoy with the Humvee terminal and get it to the airfield <marker name='tskObjm1'>here</marker> we have planned the most saftest route possible but it wont safe be sure of that.", "Primary: Destination", "Primary: Destination"];
		tskObj1 setSimpleTaskDestination (getMarkerPos "tskObjm1");
		player setCurrentTask tskObj1;
	};
	
	
	case EAST: // REDFOR briefing goes here
	{
		
		
	};
	
	
	case RESISTANCE: // RESISTANCE/INDEPENDENT briefing goes here
	{
		// Primary Objective
		//tskObj1 = player createSimpleTask["Primary: Secure LZ"]; 
		//tskObj1 setSimpleTaskDescription["There is a some US SF pinned down at <marker name='Lz1'>Lz Shepherd</marker> you must fly in and secure the area! this will become your respawn point after the takistan militia have been cleared of the area.", "Primary: Secure LZ", "Primary: Secure LZ"];
		//tskObj1 setSimpleTaskDestination (getMarkerPos "tskObjm1");
		//player setCurrentTask tskObj1;	
		
	};
	
	
	case CIVILIAN: // CIVILIAN briefing goes here
	{
		
		
	};
};